import pygame
import title

# Main game class

class Game(object):
	def __init__(self):
		# Initialize the screen
		self.screen = pygame.display.set_mode((640,360))
		self.fullscreen = False
		self.window = title.Warning(self.screen)
		self.clock = pygame.time.Clock()
		# Initialize sound levels
		pygame.mixer.Channel(1).set_volume(0.1)	
	def switchFullscreen(self):
		if self.fullscreen:
			self.screen = pygame.display.set_mode((640,360))
			self.window = title.Title(self.screen)
			self.window.keyPosition = 1
			self.fullscreen = False
		else:
			self.screen = pygame.display.set_mode((640,360),pygame.FULLSCREEN)
			self.window = title.Title(self.screen)
			self.window.keyPosition = 1
			self.fullscreen = True
		
	def play(self):
		while(self.window != None):						
			self.clock.tick(30)			
			#print self.clock.get_fps()
			window = self.window.update()
			if window == "fullscreen":
				self.switchFullscreen()
			else:
				self.window.draw()			
				pygame.display.update()
				self.screen.fill((0,0,0))
				self.window = window